// package val_mut -- изменяемое значение
package val_mut

import "gitp78su.ipnodns.ru/svi/prolet/lang/types"

// ValMut -- изменяемое значение, определяется в рантайме и может быть изменено
type ValMut struct {
	val int // Хранимое значение
}

// NewValMut -- возвращает новое изменяемое значение в рантайме
func NewValMut(val int) *ValMut {
	sf := &ValMut{
		val: val,
	}
	_ = types.IValMut(sf)
	return sf
}
